| Qore PgsqlSqlUtil Module Reference 1.5.2

Public Member Functions | List of all members
PgsqlSqlUtil::PgsqlPrimaryKey Class Reference

represents a PostgreSQL-specific primary key constraint More...

Inheritance diagram for PgsqlSqlUtil::PgsqlPrimaryKey:
[legend]

## Public Member Functions
| constructor ()
| creates an empty primary key object
| constructor (string n, *hash c, *string ts)
| creates the object with the given attributes More...
string | getCreateSql (string table_name, *hash< auto > opts)
| returns a string that can be used to create the constraint
softlist | getRenameSql (string table_name, string new_name)
| returns a string that can be used to rename the constraint
PgsqlColumn | memberGate (string k)
| returns the PgsqlColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception More...
Public Member Functions inherited from PgsqlSqlUtil::PgsqlUniqueConstraintCommon
| clearIndex ()
| clears any index base for the constraint
| constructor (*string ts)
| creates the constraint with an optional tablespace name
| getIndexSql (reference< string > sql, string name, *hash opts)
| adds index options onto the sql creation string
*string | getTablespace ()
| returns the tablespace name used for this constraint, if known
bool | setIndexBase (string ix)
| sets the supporting index name
| setTablespace (*string ts)
| sets or clears the tablespace name

## Additional Inherited Members
Protected Attributes inherited from PgsqlSqlUtil::PgsqlUniqueConstraintCommon
*string | tablespace
| any tablespace for the unique key index

## Detailed Description

represents a PostgreSQL-specific primary key constraint

## Member Function Documentation

## ◆ constructor()

PgsqlSqlUtil::PgsqlPrimaryKey::constructor | ( | string | n,
|  | *hash | c,
|  | *string | ts
| ) |  |

creates the object with the given attributes

Parameters

  n | name of the constraint
  c | column hash
  ts | optional tablespace name

## ◆ memberGate()

PgsqlColumn PgsqlSqlUtil::PgsqlPrimaryKey::memberGate | ( | string | k | ) |

returns the PgsqlColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception

Example:
  auto v = c.name;

Parameters

  k | the name of the key to access

Returns
  the value of the given key in the contained hash if it exists

Exceptions

  KEY-ERROR | the given key does not exist in the contained hash

Note
  this method is called automatically when an unknown or inaccessible member name is accessed from outside the class

See also
  memberGate() Method